###############################################################################
###############################################################################
# PROGRAM:
# simulation-first-code.R
# 
# USE:
# Perform data simulation for the ZMPS model
#     
# AUTHOR:
# Wesley Bertoli (wbsilva@utfpr.edu.br)
#
# DATE:
# January 22, 2021
###############################################################################
###############################################################################

# Simulation process

M     <- 500
parms <- gen.parms(stp = c(n, case, sc))

set.seed(seed = 666, kind = "L'Ecuyer-CMRG")

result <- clusterApplyLB(cl = cl, x = 1:M, fun = to.run, link = link, parms = parms)

###############################################################################
###############################################################################